org.apache.tomcat.util.net

## Class TLSClientHelloExtractor

- java.lang.Object
- - org.apache.tomcat.util.net.TLSClientHelloExtractor

-     public class TLSClientHelloExtractor
      extends Object

  This class extracts the SNI host name from a TLS client-hello message.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TLSClientHelloExtractor.ExtractorResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLSClientHelloExtractor(ByteBuffer netInBuffer)` Creates the instance of the parser and processes the provided buffer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Cipher>` | `getClientRequestedCiphers()`
    `TLSClientHelloExtractor.ExtractorResult` | `getResult()`
    `String` | `getSNIValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLSClientHelloExtractor

          public TLSClientHelloExtractor(ByteBuffer netInBuffer)

      Creates the instance of the parser and processes the provided buffer. The buffer position and limit will be modified during the execution of this method but they will be returned to the original values before the method exits.
      Parameters:
        `netInBuffer` - The buffer containing the TLS data to process

  - ### Method Detail

    - #### getResult

          public TLSClientHelloExtractor.ExtractorResult getResult()

    - #### getSNIValue

          public String getSNIValue()

    - #### getClientRequestedCiphers

          public List<Cipher> getClientRequestedCiphers()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.